int main(int argc, char** argv)
{
	new BApplication("application/x-vnd.BT-IconDump");
	printf("#include \"PrefilledBitmap.h\"\n\n");
	for(int Counter = 1; Counter < argc; Counter++)
	{
		printf("//********Icon for '%s'\n",argv[Counter]);
		BNode MyNode(argv[Counter]);
		if(MyNode.InitCheck() != B_NO_ERROR)
		{
			printf("   Couldn't create node\n");
			continue;
		}
		BNodeInfo MyNodeInfo(&MyNode);
		if(MyNodeInfo.InitCheck() != B_NO_ERROR)
		{
			printf("   Couldn't create node info\n");
			continue;
		}
		BBitmap MICN(BRect(0.0,0.0,15.0,15.0), B_COLOR_8_BIT, false, false);
		if(MyNodeInfo.GetTrackerIcon(&MICN,B_MINI_ICON) == B_NO_ERROR)
		{
			uint8* Bits = (uint8*)MICN.Bits();
			printf("uint8 %s_MData[256] =\n{\n	",argv[Counter]);
			for(int16 Counter2 = 0; Counter2 < 256; Counter2++)
			{
				printf("0x%02X",Bits[Counter2]);
				if(Counter2%16 < 15)
					printf(", ");
				else if(Counter2 < 255)
					printf(", \n	");
				else
				{
					printf("\n};\n");
					printf("PrefilledBitmap *%s_MICN;\n",argv[Counter]);
					printf("/* Put this after your BApplication object has been constructed:\n");
					printf("	%s_MICN = new PrefilledBitmap(BRect(0.0,0.0,15.0,15.0),B_COLOR_8_BIT,"
						"%s_MData,false,false);\n*/\n\n",argv[Counter],argv[Counter]);
				}
			}
		}
		BBitmap LICN(BRect(0.0,0.0,31.0,31.0), B_COLOR_8_BIT, false, false);
		if(MyNodeInfo.GetTrackerIcon(&LICN,B_LARGE_ICON) == B_NO_ERROR)
		{
			uint8* Bits = (uint8*)LICN.Bits();
			printf("uint8 %s_LData[1024] =\n{\n	",argv[Counter]);
			for(int16 Counter2 = 0; Counter2 < 1024; Counter2++)
			{
				printf("0x%02X",Bits[Counter2]);
				if(Counter2%32 < 31)
					printf(", ");
				else if(Counter2 < 1023)
					printf(", \n	");
				else
				{
					printf("\n};\n");
					printf("PrefilledBitmap *%s_LICN;\n",argv[Counter]);
					printf("/* Put this after your BApplication object has been constructed:\n");
					printf("	%s_LICN = new PrefilledBitmap(BRect(0.0,0.0,31.0,31.0),B_COLOR_8_BIT,"
						"%s_LData,false,false);\n*/\n\n",argv[Counter],argv[Counter]);
				}
			}
		}
	}
	delete be_app;
}